> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Usage Drivers



## OpenAPI

````yaml GET /billing/usageDriver/filter
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/usageDriver/filter:
    parameters:
      - name: X-Valyx-Signature
        in: header
        required: true
        description: Auth key to authenticate the request
        schema:
          type: string
    get:
      tags:
        - billing
      operationId: get_filter_usage_driver
      parameters:
        - name: name
          in: query
          description: Name of the usage driver
          schema:
            type: string
        - name: description
          in: query
          description: Description of the usage driver
          schema:
            type: string
        - name: unit
          in: query
          description: Unit of the usage driver
          schema:
            type: string
        - name: pageNumber
          in: query
          required: true
          schema:
            type: integer
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse'
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        error:
          type: string
          description: >-
            Error message, if any occurred while fetching the paginated data.
            Null if the request was successful.
        message:
          type: string
          description: Informational message regarding the response.
        data:
          $ref: '#/components/schemas/PaginatedResponseData'
    PaginatedResponseData:
      type: object
      required:
        - hasNext
        - hasPrev
        - pageNumber
        - pageSize
        - totalDocs
        - totalPages
      properties:
        totalDocs:
          type: integer
          description: Total number of documents/items available across all pages.
        docs:
          type: array
          description: Array of items on the current page.
          items:
            type: object
            description: Individual document/item in the paginated result.
        hasNext:
          type: boolean
          description: True if there is a next page available.
        hasPrev:
          type: boolean
          description: True if there is a previous page available.
        pageNumber:
          type: integer
          description: Current page number (1-indexed).
        pageSize:
          type: integer
          description: Number of items per page.
        totalPages:
          type: integer
          description: Total number of pages available.
        prevPageNumber:
          type: integer
          description: >-
            Page number of the previous page. Null if current page is the first
            page.
        nextPageNumber:
          type: integer
          description: Page number of the next page. Null if current page is the last page.

````